Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast
Interface ParseErrorHandler

All Superinterfaces:
  ErrorReporter

All Known Implementing Classes:
  ErrorCounter

    public interface ParseErrorHandler

extends ErrorReporter

Defines the behavior of an error handler for the HQL parsers. User: josh Date: Dec 6, 2003 Time: 12:20:43 PM

Method Summary
`int` | `getErrorCount()`
`void` | `throwQueryException()`

Methods inherited from interface org.hibernate.hql.ast.ErrorReporter
`reportError, reportError, reportWarning`

Method Detail

### getErrorCount

    int getErrorCount()

### throwQueryException

    void throwQueryException()
                             throws QueryException

  Throws:
    `QueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.